data:extend(
{
  {
    type = "item",
    name = "algae",
    icon = "__NARM_angels_bio_processing__/graphics/icons/algae.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "bio-processing",
    order = "d-a[algae]",
    stack_size = 200
  },
  {
    type = "fluid",
    name = "liquid-chlor-methane",
    default_temperature = 100,
    max_temperature = 100,
    heat_capacity = "1KJ",
    base_color = {r=0, g=0, b=0},
    flow_color = {r=0.1, g=0.1, b=0.1},
    icon = "__NARM_angels_bio_processing__/graphics/icons/chlor-methane.png",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
	subgroup = "bio-processing",
    order = "d-b[liquid-chlor-methane]",
  },
  {
    type = "item",
    name = "cellulose-fiber",
    icon = "__NARM_angels_bio_processing__/graphics/icons/cellulose-fiber.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "bio-processing",
    order = "d-a[cellulose-fiber]",
    stack_size = 200
  },
  {
    type = "item",
    name = "paste",
    icon = "__NARM_angels_bio_processing__/graphics/icons/paste.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "bio-processing",
    order = "d-a[paste]",
    stack_size = 200
  },
  {
    type = "item",
    name = "petri-dish",
    icon = "__NARM_angels_bio_processing__/graphics/icons/petri-dish.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "bio-processing",
    order = "d-a[petri-dish]",
    stack_size = 200
  },  
  {
    type = "item",
    name = "alien-bacteria",
    icon = "__NARM_angels_bio_processing__/graphics/icons/alien-bacteria.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "bio-processing",
    order = "d-a[alien-bacteria]",
    stack_size = 200
  },
  {
    type = "item",
    name = "alien-pre-artifact",
    icon = "__NARM_angels_bio_processing__/graphics/icons/alien-pre-artifact.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "bio-processing",
    order = "d-a[alien-pre-artifact]",
    stack_size = 200
  },
  {
    type = "fluid",
    name = "alien-goo",
    default_temperature = 100,
    max_temperature = 100,
    heat_capacity = "1KJ",
    base_color = {r=0.572, g=0.392, b=0.894},
    flow_color = {r=0.572, g=0.392, b=0.894},
    icon = "__NARM_angels_bio_processing__/graphics/icons/alien-goo.png",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
	subgroup = "bio-processing",
    order = "d-b[alien-goo]",
  },
  {
    type = "item",
    name = "substrate-dish",
    icon = "__NARM_angels_bio_processing__/graphics/icons/substrate-dish.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "bio-processing",
    order = "d-a[substrate-dish]",
    stack_size = 200
  },
}
)