data:extend(
{
--WOOD RECIPES
  {
    type = "recipe",
    name = "algae-farming",
    category = "bio-processing",
	subgroup = "bio-processing-wood",
	enabled = "false",
    energy_required = 4,
    ingredients ={
	{type="fluid", name="water", amount=5},
	{type="item", name="stone", amount=5},
	},
    results=
    {
      {type="item", name="algae", amount=30},
    },
    main_product= "algae",
    icon = "__NARM_angels_bio_processing__/graphics/icons/algae.png",
    order = "a [algae-farming]",
  },
  {
    type = "recipe",
    name = "cellulose-fiber-algae",
    category = "chemistry",
	subgroup = "bio-processing-wood",
	enabled = "false",
    energy_required = 3,
    ingredients ={
	{type="item", name="algae", amount=10},
	},
    results=
    {
      {type="item", name="cellulose-fiber", amount=5},
    },
    main_product= "cellulose-fiber",
    icon = "__NARM_angels_bio_processing__/graphics/icons/cellulose-fiber-algae.png",
    order = "b [cellulose-fiber-algae]",
  },
  {
    type = "recipe",
    name = "liquid-chlor-methane",
    category = "chemistry",
	subgroup = "bio-processing-wood",
	enabled = "false",
    energy_required = 4,
    ingredients ={
	{type="fluid", name="chlorine", amount=1},
	{type="fluid", name="petroleum-gas", amount=1},
	},
    results=
    {
      {type="fluid", name="liquid-chlor-methane", amount=2},
    },
    main_product= "liquid-chlor-methane",
    icon = "__NARM_angels_bio_processing__/graphics/icons/chlor-methane.png",
    order = "d [liquid-chlor-methane]",
  },
  {
    type = "recipe",
    name = "paste-from-sodium-hydroxide",
    category = "chemistry",
	subgroup = "bio-processing-wood",
	enabled = "false",
    energy_required = 2,
    ingredients ={
	{type="item", name="cellulose-fiber", amount=5},
	{type="item", name="sodium-hydroxide", amount=3},
	},
    results=
    {
      {type="item", name="paste", amount=1},
    },
    main_product= "paste",
    icon = "__NARM_angels_bio_processing__/graphics/icons/paste.png",
    order = "e [paste-from-sodium-hydroxide]",
  },
  {
    type = "recipe",
    name = "paste-from-liquid-chlor-methane",
    category = "chemistry",
	subgroup = "bio-processing-wood",
	enabled = "false",
    energy_required = 2,
    ingredients ={
	{type="item", name="cellulose-fiber", amount=5},
	{type="fluid", name="liquid-chlor-methane", amount=1},
	},
    results=
    {
      {type="item", name="paste", amount=2},
    },
    main_product= "paste",
    icon = "__NARM_angels_bio_processing__/graphics/icons/paste.png",
    order = "f [paste-from-liquid-chlor-methane]",
  },
  {
    type = "recipe",
    name = "cellulose-fiber-raw-wood",
    category = "chemistry",
	subgroup = "bio-processing-wood",
	enabled = "false",
    energy_required = 2,
    ingredients ={
	{type="item", name="raw-wood", amount=1},
	},
    results=
    {
      {type="item", name="cellulose-fiber", amount=5},
    },
    main_product= "cellulose-fiber",
    icon = "__NARM_angels_bio_processing__/graphics/icons/cellulose-fiber-raw-wood.png",
    order = "c [cellulose-fiber-raw-wood]",
  },
  {
    type = "recipe",
    name = "wood-from-cellulose",
    category = "crafting",
	subgroup = "bio-processing-wood",
	enabled = "false",
    energy_required = 2,
    ingredients ={
		{type="item", name="cellulose-fiber", amount=9},
		{type="item", name="paste", amount=3},
	},
    results=
    {
      {type="item", name="wood", amount=3},
    },
    main_product= "wood",
    icon = "__NARM_angels_bio_processing__/graphics/icons/wood-cellulose.png",
    order = "g [wood-from-cellulose]",
  },
}
)
		
if data.raw["fluid"]["water-mineralized"] then
data.raw.recipe["algae-farming"].ingredients = {}
data.raw["recipe"]["algae-farming"].ingredients[1]={type="fluid", name="water-mineralized", amount=10}
data:extend(
{
  {
    type = "recipe",
    name = "water-mineralized",
    category = "crafting-with-fluid",
	subgroup = "bio-processing-wood",
	enabled = "false",
    energy_required = 2,
    ingredients ={
	{type="fluid", name="water", amount=5},
	{type="item", name="stone-crushed", amount=5},
	},
    results=
    {
      {type="fluid", name="water-mineralized", amount=5},
    },
    main_product= "water-mineralized",
    icon = "__angelsrefining__/graphics/icons/water-mineralized.png",
    order = "aa [water-mineralized]",
  },
}
)
end